# Record TCefRequestContextSettings

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFTypes

## Declaration

`type TCefRequestContextSettings = record`

## Description

Request context initialization settings. Specify NULL or 0 to get the recommended default values.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_request_context_settings_t))

## Overview

### Fields

| `size: NativeUInt;`
| `cache_path: TCefString;`
| `persist_session_cookies: Integer;`
| `accept_language_list: TCefString;`
| `cookieable_schemes_list: TCefString;`
| `cookieable_schemes_exclude_defaults: integer;`

## Description

### Fields

| `size: NativeUInt;`
Size of this structure.

| `cache_path: TCefString;`
The directory where cache data for this request context will be stored on disk. If this value is non-empty then it must be an absolute path that is either equal to or a child directory of TCefSettings.root_cache_path. If this value is empty then browsers will be created in "incognito mode" where in-memory caches are used for storage and no profile-specific data is persisted to disk (installation-specific data will still be persisted in root_cache_path). HTML5 databases such as localStorage will only persist across sessions if a cache path is specified. To share the global browser cache and related configuration set this value to match the TCefSettings.cache_path value.

| `persist_session_cookies: Integer;`
To persist session cookies (cookies without an expiry date or validity interval) by default when using the global cookie manager set this value to true (1). Session cookies are generally intended to be transient and most Web browsers do not persist them. Can be set globally using the TCefSettings.persist_session_cookies value. This value will be ignored if |cache_path| is empty or if it matches the TCefSettings.cache_path value.

| `accept_language_list: TCefString;`
Comma delimited ordered list of language codes without any whitespace that will be used in the "Accept-Language" HTTP header. Can be set globally using the TCefSettings.accept_language_list value or overridden on a per- browser basis using the TCefBrowserSettings.accept_language_list value. If all values are empty then "en-US,en" will be used. This value will be ignored if |cache_path| matches the TCefSettings.cache_path value.

| `cookieable_schemes_list: TCefString;`
Comma delimited list of schemes supported by the associated ICefCookieManager. If |cookieable_schemes_exclude_defaults| is false (0) the default schemes ("http", "https", "ws" and "wss") will also be supported. Not specifying a |cookieable_schemes_list| value and setting |cookieable_schemes_exclude_defaults| to true (1) will disable all loading and saving of cookies. These values will be ignored if |cache_path| matches the TCefSettings.cache_path value.

| `cookieable_schemes_exclude_defaults: integer;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.